* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, Helvetica, sans-serif;
}

body {
  background: #fff;
}

.news-container {
  width: min(1200px, 95%);
  margin: auto;
  /* padding: 40px 0; */
}

.news {
  padding: 35px 0;
  border-bottom: 1px solid #e5e5e5;
}

.news img {
  width: 100%;
  height: 520px;
  object-fit: contain;
  display: block;
}

.content {
  padding-top: 25px;
}

.content h2 {
  font-size: 42px;
  line-height: 1.25;
  margin-bottom: 18px;
  color: #111;
}

.preview {
  font-size: 22px;
  color: #555;
  line-height: 1.8;
}

.full-content {
  max-height: 0;
  overflow: hidden;
  transition: 0.4s;
  font-size: 20px;
  color: #555;
  line-height: 1.8;
}

.full-content.show {
  max-height: 800px;
  margin-top: 20px;
}

.full-content p {
  margin-bottom: 18px;
}

.bottom {
  margin-top: 25px;

  display: flex;
  justify-content: space-between;
  align-items: center;
}

.source {
  display: flex;
  gap: 10px;
  align-items: center;
  font-size: 18px;
}

.source span {
  color: #888;
}

.toggle {
  border: 2px solid #222;
  background: #fff;
  padding: 12px 28px;
  border-radius: 40px;
  cursor: pointer;
  font-size: 17px;
  transition: 0.3s;
}

.toggle:hover {
  background: #111;
  color: #fff;
}

/* Tablet */

@media (max-width: 900px) {
  .news img {
    height: 380px;
  }

  .content h2 {
    font-size: 34px;
  }

  .preview,
  .full-content {
    font-size: 18px;
  }
}

/* Mobile */

@media (max-width: 600px) {
  .news {
    padding: 25px 0;
  }

  .news img {
    height: 230px;
  }

  .content {
    padding-top: 18px;
  }

  .content h2 {
    font-size: 26px;
  }

  .preview,
  .full-content {
    font-size: 16px;
  }

  .bottom {
    flex-direction: column;
    align-items: flex-start;
    gap: 18px;
  }

  .toggle {
    width: 100%;
  }
}

.visitor-counter {
  width: 100%;
  background: #000;
  color: #fff;
  text-align: center;
  padding: 12px 15px;
  font-size: clamp(22px, 4vw, 42px);
  font-weight: 700;
  letter-spacing: 1px;
  font-family: Arial, Helvetica, sans-serif;
}

#counter {
  color: #fff;
}
